WriteNowParserInternal::State Struct Reference

Internal: the state of a WriteNowParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
long | m_endPos
| the last position
std::vector< MWAWColor > | m_colorMap
| the color map
std::vector< WriteNowEntry > | m_picturesList
| the list of picture entries
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known
int | m_numColumns
| the number of columns
int | m_columnWidth
| the columns size

## Detailed Description

Internal: the state of a WriteNowParser.

## Constructor & Destructor Documentation

## ◆ State()

WriteNowParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int WriteNowParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_colorMap

std::vector<MWAWColor> WriteNowParserInternal::State::m_colorMap

the color map

Referenced by State().

## ◆ m_columnWidth

int WriteNowParserInternal::State::m_columnWidth

the columns size

Referenced by State().

## ◆ m_endPos

long WriteNowParserInternal::State::m_endPos

the last position

Referenced by State().

## ◆ m_footerHeight

int WriteNowParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int WriteNowParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_numColumns

int WriteNowParserInternal::State::m_numColumns

the number of columns

Referenced by State().

## ◆ m_numPages

int WriteNowParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_picturesList

std::vector<WriteNowEntry> WriteNowParserInternal::State::m_picturesList

the list of picture entries

Referenced by State().

The documentation for this struct was generated from the following file:

- WriteNowParser.cxx